package jp.veritrans.tercerog.sample.web.oricosc.base;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * ショッピングクレジット決済の入力画面の初期表示クラス。
 */
public abstract class AbstractAuthorize extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;

    abstract protected String getJsp();
    abstract protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException;
    abstract protected String getExec();

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        // 文字コードの指定
        setCharacterEncoding(request);
        if (request.getParameter("button") != null && "購入".equals(request.getParameter("button"))) {
        // モバイルの購入ボタン押下時の処理
            forward(request, response, getExec());
        } else {
            forward(request, response, getJsp());
        }
    }

}
