package jp.veritrans.tercerog.sample.web.saison.mb;

import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServletRequest;

import jp.veritrans.tercerog.mdk.dto.SaisonCancelRequestDto;
import jp.veritrans.tercerog.sample.web.saison.base.AbstractCancelExec;


/**
 * モバイル用 クレディセゾン決済 取消処理クラス。
 */
public class CancelExec extends AbstractCancelExec {
    private static final long serialVersionUID = 1L;

    protected String getJsp() {
        return "./Cancel.jsp";
    }

    protected String getJspResult() {
        return "./Result.jsp";
    }

    protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException {
        request.setCharacterEncoding("Shift_JIS");
    }

}
