<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="java.util.*" %>
<%
    // alipay.propertiesファイルから必要なプロパティを取得
    // ここでは、URLを設定ファイルから取得している。
    Locale objLcl = request.getLocale();
    ResourceBundle rb = ResourceBundle.getBundle("alipay",objLcl);
    String successUrl = request.getParameter("successUrl");
    if (successUrl == null) {
      successUrl = rb.getString("successUrl");
    }
    String errorUrl = request.getParameter("errorUrl");
    if (errorUrl == null) {
      errorUrl = rb.getString("errorUrl");
    }

    // 取引ID
    String order_id = "dummy" + System.currentTimeMillis();
    // 通貨単位
    String currency_jpy = "";
    String currency_cny = "";
    if ("JPY".equals(request.getParameter("currency"))) {
        currency_jpy = " checked";
    } else if ("CNY".equals(request.getParameter("currency"))) {
        currency_cny = " checked";
    } else {
        currency_jpy = " checked";
    }
    // 決済種別
    String payType_online = "";
    String payType_barcode = "";
    String payType_scan_code = "";
    if ("1".equals(request.getParameter("payType"))) {
        payType_barcode = " checked";
    } else if ("2".equals(request.getParameter("payType"))) {
        payType_scan_code = " checked";
    } else {
        payType_online = " checked";
    }
    // ユーザ識別コード
    String identityCode = request.getParameter("identityCode");
    // 商品ID
    String commodityId = request.getParameter("commodityId");
    if (commodityId == null) {
        commodityId = "";
    }
    // 商品名
    String commodityName = request.getParameter("commodityName");
    if (commodityName == null) {
        commodityName = "新製品";
    }
    // 商品詳細
    String commodityDescription = request.getParameter("commodityDescription");
    if (commodityDescription == null) {
        commodityDescription = "新製品詳細";
    }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - Alipay決済与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script type="text/javascript">

function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}
function changePayType() {
    var rdo = document.FORM_ALIPAY.payType;
    if (rdo != null) {
        var obj = document.FORM_ALIPAY.elements;
        for (i = 0; i < rdo.length; i++) {
            if (rdo[i].checked) {
                if (rdo[i].value == "1") {
                    obj.commodityDescription.value = "";
                    obj.commodityId.value = "";
                    obj.successUrl.value = "";
                    obj.errorUrl.value = "";
                } else if (rdo[i].value == "2") {
                    obj.identityCode.value = "";
                    if (obj.commodityId.value == "") {
                        obj.commodityId.value = obj.hidCommodityId.value;
                    }
                    if (obj.commodityDescription.value == "") {
                        obj.commodityDescription.value = obj.hidCommodityDescription.value;
                    }
                    obj.successUrl.value = "";
                    obj.errorUrl.value = "";
                } else {
                    obj.identityCode.value = "";
                    if (obj.commodityDescription.value == "") {
                        obj.commodityDescription.value = obj.hidCommodityDescription.value;
                    }
                    obj.commodityId.value = "";
                    if (obj.successUrl.value == "") {
                        obj.successUrl.value = obj.hidSuccessUrl.value;
                    }
                    if (obj.errorUrl.value == "") {
                        obj.errorUrl.value = obj.hidErrorUrl.value;
                    }
                }
            }
        }
    }
}

// onLoadイベント
window.onload = function() {
   changePayType();
}
//-->
</script>
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G Alipay決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <%=warning%>
    <table>
        <tr>
            <td>
                <div class="lhtitle">Alipay決済：決済請求</div>
            </td>
            <td>
                <img src='../WEB-IMG/alipay.png' />
        </tr>
    </table>
    <form name="FORM_ALIPAY" method="post" action="./AuthorizeExec">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td class="ititletop">取引ID</td>
                <td class="ivaluetop"><%=Utils.out(order_id)%>&nbsp;&nbsp;
                    <input type="button" value="取引ID更新" onclick="reDrawing(FORM_ALIPAY, './Authorize');">
                    <input type="hidden" name="orderId" value="<%=Utils.out(order_id)%>">
                </td>
            </tr>
            <tr>
                <td class="ititle">金額</td>
                <td class="ivalue" style="width:640px;">
                    <input type="text" maxlength="7" size="12" name="amount"
                        value="<%=Utils.out(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>">
                    <input type="radio" name="currency" value="JPY" <%=Utils.out(currency_jpy)%>>
                    JPY
                    <input type="radio" name="currency" value="CNY" <%=Utils.out(currency_cny)%>>
                    CNY <font size="2" color="red">※CNYの場合は、金額には100以上の値を指定する必要があります。</font>
                </td>
            </tr>
            <tr>
                <td class="ititle">決済種別</td>
                <td class="ivalue" style="width:640px;">
                    <input type="radio" name="payType" onClick="changePayType();" value="0" <%=Utils.out(payType_online)%>>
                    オンライン決済
                    <input type="radio" name="payType" onClick="changePayType();" value="1" <%=Utils.out(payType_barcode)%>>
                    バーコード決済(店舗スキャン型)
                    <input type="radio" name="payType" onClick="changePayType();" value="2" <%=Utils.out(payType_scan_code)%>>
                    バーコード決済(消費者スキャン型)
                </td>
            </tr>
            <tr>
                <td class="ititle">ユーザ識別コード</td>
                <td class="ivalue">
                    <input type="text" maxlength="32" size="35" name="identityCode" value="<%=Utils.out(identityCode)%>">
                </td>
            </tr>
            <tr>
                <td class="ititle">商品名</td>
                <td class="ivalue">
                    <input type="text" maxlength="100" size="35" name="commodityName" value="<%=Utils.out(commodityName)%>">
                </td>
            </tr>
            <tr>
                <td class="ititle">商品詳細</td>
                <td class="ivalue">
                    <textarea name="commodityDescription" cols="75" rows="6" maxLength="200"><%=Utils.out(commodityDescription)%></textarea>
                </td>
            </tr>
            <tr>
                <td class="ititle">商品ID</td>
                <td class="ivalue">
                    <input type="text" maxlength="64" size="35" name="commodityId" value="<%=Utils.out(commodityId)%>">
                </td>
            </tr>
             <tr>
                <td class="ititle">決済完了時URL</td>
                <td class="ivalue">
                    <input type="text" maxlength="256" size="70" name="successUrl" value="<%=Utils.out(successUrl)%>">
                </td>
            </tr>
            <tr>
                <td class="ititle">決済エラー時URL</td>
                <td class="ivalue">
                    <input type="text" maxlength="256" size="70" name="errorUrl" value="<%=Utils.out(errorUrl)%>">
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="submit" value="購入">
                    &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
                </td>
            </tr>
        </table>
        <input type="hidden" name="hidCommodityId" value="<%=commodityId%>" >
        <input type="hidden" name="hidCommodityDescription" value="<%=commodityDescription%>" >
        <input type="hidden" name="hidSuccessUrl" value="<%=successUrl%>" >
        <input type="hidden" name="hidErrorUrl" value="<%=errorUrl%>" >
    </form>
    <a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
