<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 取引ID
  String order_id = "dummy" + System.currentTimeMillis();

  // 与信方法の選択状態を判定
  String serviceOptionType_edy_pc = "";
  String serviceOptionType_edy_mobile = "";
  String serviceOptionType_edy_direct = "";
  String serviceOptionType_suica_mobile_mail = "";
  String serviceOptionType_suica_mobile_app = "";
  String serviceOptionType_suica_pc_mail = "";
  String serviceOptionType_suica_pc_app = "";
  String serviceOptionType_waon_pc = "";
  String serviceOptionType_waon_mobile = "";
  if ("edy-pc".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_edy_pc = " selected"; }
  if ("edy-mobile".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_edy_mobile = " selected"; }
  if ("edy-direct".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_edy_direct = " selected"; }
  if ("suica-mobile-mail".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_mobile_mail = " selected"; }
  if ("suica-mobile-app".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_mobile_app = " selected"; }
  if ("suica-pc-mail".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_pc_mail = " selected"; }
  if ("suica-pc-app".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_pc_app = " selected"; }
  if ("waon-pc".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_waon_pc = " selected"; }
  if ("waon-mobile".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_waon_mobile = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 電子マネー決済返金要求サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 電子マネー決済の返金取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">電子マネー決済：返金請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_EM" method="post" action="RefundExec">
<tr>
  <td class="ititletop">決済サービスオプション</td>
  <td class="ivaluetop">
    <select name="serviceOptionType">
      <option value="edy-pc"<%= serviceOptionType_edy_pc %>>サイバーEdy決済</option>
      <option value="edy-mobile"<%= serviceOptionType_edy_mobile %>>モバイルEdy決済</option>
      <option value="edy-direct"<%= serviceOptionType_edy_direct %>>モバイルEdyダイレクト決済</option>
      <option value="suica-mobile-mail"<%= serviceOptionType_suica_mobile_mail %>>モバイルSuica メール決済</option>
      <option value="suica-mobile-app"<%= serviceOptionType_suica_mobile_app %>>モバイルSuica アプリ決済</option>
      <option value="suica-pc-mail"<%= serviceOptionType_suica_pc_mail %>>Suicaインターネットサービス メール決済</option>
      <option value="suica-pc-app"<%= serviceOptionType_suica_pc_app %>>Suicaインターネットサービス アプリ決済</option>
      <option value="waon-pc"<%= serviceOptionType_waon_pc %>>WAONネット決済PC</option>
      <option value="waon-mobile"<%= serviceOptionType_waon_mobile %>>WAONネット決済モバイル</option>
    </select>
    <!-- 対象取引種別 -->
    <input type="hidden" name="orderKind" value="refund">
  </td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><input type="text" maxlength="5" size="6" name="amount" value="<%= Utils.out(request.getParameter("amount")) %>"></td>
</tr>
<tr>
  <td class="ititle">対象取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="refundOrderId" value="<%= Utils.out(request.getParameter("refundOrderId")) %>"></td>
</tr>
<tr>
  <td class="ititle">決済期限</td>
  <td class="ivalue">
    <input type="text" maxlength="14" size="15" name="settlementLimit" value="<%= Utils.out(request.getParameter("settlementLimit")) %>"><br/>
    <font size="2" color="red">※形式：YYYYMMDDhhmmss</font><br/>
    <font size="2" color="red">※Suica系決済の場合のみ必須です。</font><br/>
  </td>
</tr>
<tr>
  <td class="ititle">画面タイトル</td>
  <td class="ivalue">
    <input type="text" maxlength="40" size="50" name="screenTitle" value="<%= Utils.out(request.getParameter("screenTitle")) %>"><br/>
    <font size="2" color="red">※Suica系決済以外の場合は入力不要です。</font><br/>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="返金">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
