<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"
         import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

  String result = request.getParameter("result");
  String strResultEng = "";
  String strResultJpn = "";
  if (Utils.isNull(result) == false) {
    if (result.equals("SUCCESS")) {
      strResultEng = "Success";
      strResultJpn = "完了";
    } else if (result.equals("CANCEL")) {
      strResultEng = "Cancel";
      strResultJpn = "キャンセル";
    } else if (result.equals("ERROR")) {
      strResultEng = "Error";
      strResultJpn = "エラー";
    }
  }

%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>Transaction Result (<%= strResultEng %>)</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G MasterPass決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>


<%= warning %>

<div class="lhtitle">MasterPass Transaction Result (Authorize<%= strResultEng %>)<br/>(決済：取引結果 (決済<%= strResultJpn %>))</div>

<%
if (Utils.isNull(warning) == true) {
%>
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">Order ID<br/>(取引ID)</td>
    <td class="rivaluetop"><%= Utils.out(request.getParameter("orderId")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Status<br/>(取引ステータス)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("mstatus")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Code<br/>(結果コード)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("vResultCode")) %><br/></td>
  </tr>
</table>
<%
}
%>
<br/>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
<hr/>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

