<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 取引ID
  String order_id = "dummy" + System.currentTimeMillis();

  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if ("0".equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if ("1".equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - カード決済-本人認証無し(PayNowIDカード情報利用)サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
function jpoChk(jpoObj) {
    var val = jpoObj.value;
    if (val.length == 1) {
        if (isNaN(val) == false) {
            jpoObj.value = "0" + jpoObj.value;
        }
    }
}

function reDrawing(frm, action) {
  frm.action = action;
  frm.method = "POST";
  frm.submit();
}

</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G カード決済-本人認証無し(PayNowIDカード情報利用)のサンプル画面です。<br/>
お客様ECサイトのVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">カード決済-本人認証無し(PayNowIDカード情報利用)</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CARD" method="post" action="./CardAuthorizeSelect">

      <tr>
        <td class="thl" colspan="2">決済情報
        </td>
      </tr>
      <tr>
          <td class="ititletop">会員ID</td>
          <td class="ivaluetop">
            <input type="text" size="50" name="accountId" value="<%= Utils.out(request.getParameter("accountId")) %>" maxLength="100">
          </td>
      </tr>
      <tr>
        <td class="ititle">取引ID</td>
        <td class="ivalue"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_CARD, './CardAuthorize');"></td>
      </tr>
      <tr>
        <td class="ititle">金額</td>
        <td class="ivalue"><input type="text" maxlength="8" size="9" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>"></td>
      </tr>

      <tr>
        <td class="ititle">与信方法</td>
        <td class="ivalue">
          <select name="withCapture">
            <option value="0"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
            <option value="1"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
          </select>
        </td>
      </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td colspan="2">
                    <input type="submit" value="次へ">
                    &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
                </td>
            </tr>
</form>
</table>

<br>
<a href="../PayNowIdMenu.jsp">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
