<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>取引確認</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
  </head>
  <body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
    <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G PayPal決済の取引サンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
    </div>
    <div class="lhtitle">PayPal決済：取引確認</div>
    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td class="rititletop">取引ID</td>
        <td class="rivaluetop"><%= Utils.out(request.getAttribute("orderId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">取引ステータス</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("mStatus")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">結果コード</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("vResultCode")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">結果メッセージ</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("mErrMsg")) %><br/></td>
      </tr>
    </table>
    <br>
    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td class="rititletop">Token</td>
        <td class="rivaluetop"><%= Utils.out(request.getAttribute("token")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">請求番号</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("invoiceId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">PayPal顧客番号</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("payerId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">合計金額</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("amount")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">配送先氏名</td>
        <td class="rivalue"><%= Utils.out(request.getAttribute("shipName")) %><br/></td>
      </tr>
    </table>
    <br/>
    <form action="./AuthorizeComplete" method="post">
      <input type="hidden" name="token" value="<%= Utils.out(request.getAttribute("token")) %>">
      <input type="hidden" name="payerId" value="<%= Utils.out(request.getAttribute("payerId")) %>">
      <input type="hidden" name="amount" value="<%= Utils.out(request.getAttribute("amount")) %>">
      <input type="submit" value="確定"/>
    </form>
    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
  </body>
</html>
