package jp.veritrans.tercerog.sample.web.paynowid;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * 継続課金停止(カード払い)画面の初期表示クラス
 */
public class RecurringTerminate extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    	HttpSession session = request.getSession(true);
    	//課金グループIDを初期化
    	session.setAttribute("groupIdList", null);
    	session.setAttribute("groupIdSelect", null);
        forward(request, response, "./RecurringTerminate.jsp");
    }

}
