package jp.veritrans.tercerog.sample.web.upop;

import java.io.IOException;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

public class Authorize extends MdkSampleBaseServlet {

    private static final long serialVersionUID = 1L;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {

        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        // 設定ファイルより取得する。
        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        // upop.propertiesファイルから必要なプロパティを取得

        Locale objLcl = request.getLocale();
        ResourceBundle rb = ResourceBundle.getBundle("upop", objLcl);
        request.setAttribute("termUrl", rb.getString("termUrl"));

        String ipAddress = request.getHeader("X-FORWARDED-FOR");
        if (ipAddress == null) {
            ipAddress = request.getRemoteAddr();
        }
        request.setAttribute("customerIp", ipAddress);

        forward(request, response, "./Authorize.jsp");
    }

}
