<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  // masterpass.propertiesファイルから必要なプロパティを取得
  // ここでは、URLを設定ファイルから取得している。
  Locale objLcl = request.getLocale();
  ResourceBundle rb = ResourceBundle.getBundle("masterpass",objLcl);
  String successUrl = request.getParameter("successUrl");
  if (successUrl == null) {
      successUrl = rb.getString("successUrl");
  }
  String cancelUrl = request.getParameter("cancelUrl");
  if (cancelUrl == null) {
      cancelUrl = rb.getString("cancelUrl");
  }
  String errorUrl = request.getParameter("errorUrl");
  if (errorUrl == null) {
      errorUrl = rb.getString("errorUrl");
  }

  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  //** 以下はrequestパラメータで指定された値によって表示する値を判別している **/

  // 商品番号
  String itemId = Utils.out(request.getParameter("itemId"));
  if (itemId == null) {
      itemId = "";
  }

  // 表示用商品説明
  // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
  // デコード処理は行わない
  String description1 = Utils.out(request.getParameter("description1"));
  if (description1 == null) {
      description1 = "";
  }
  String description2  = Utils.out(request.getParameter("description2"));
  String description3  = Utils.out(request.getParameter("description3"));
  String description4  = Utils.out(request.getParameter("description4"));
  String description5  = Utils.out(request.getParameter("description5"));
  String description6  = Utils.out(request.getParameter("description6"));
  String description7  = Utils.out(request.getParameter("description7"));
  String description8  = Utils.out(request.getParameter("description8"));
  String description9  = Utils.out(request.getParameter("description9"));
  String description10 = Utils.out(request.getParameter("description10"));

  // 表示用商品数量
  String quantity1  = Utils.out(request.getParameter("quantity1"));
  String quantity2  = Utils.out(request.getParameter("quantity2"));
  String quantity3  = Utils.out(request.getParameter("quantity3"));
  String quantity4  = Utils.out(request.getParameter("quantity4"));
  String quantity5  = Utils.out(request.getParameter("quantity5"));
  String quantity6  = Utils.out(request.getParameter("quantity6"));
  String quantity7  = Utils.out(request.getParameter("quantity7"));
  String quantity8  = Utils.out(request.getParameter("quantity8"));
  String quantity9  = Utils.out(request.getParameter("quantity9"));
  String quantity10 = Utils.out(request.getParameter("quantity10"));


  // 表示用商品金額
  String value1  = Utils.out(request.getParameter("value1"));
  String value2  = Utils.out(request.getParameter("value2"));
  String value3  = Utils.out(request.getParameter("value3"));
  String value4  = Utils.out(request.getParameter("value4"));
  String value5  = Utils.out(request.getParameter("value5"));
  String value6  = Utils.out(request.getParameter("value6"));
  String value7  = Utils.out(request.getParameter("value7"));
  String value8  = Utils.out(request.getParameter("value8"));
  String value9  = Utils.out(request.getParameter("value9"));
  String value10 = Utils.out(request.getParameter("value10"));


  // 表示用商品イメージURL
  String imageUrl1 = Utils.out(request.getParameter("imageUrl1"));;
  if (imageUrl1 == null) {
      imageUrl1 = "";
  }
  String imageUrl2  = Utils.out(request.getParameter("imageUrl2"));
  String imageUrl3  = Utils.out(request.getParameter("imageUrl3"));
  String imageUrl4  = Utils.out(request.getParameter("imageUrl4"));
  String imageUrl5  = Utils.out(request.getParameter("imageUrl5"));
  String imageUrl6  = Utils.out(request.getParameter("imageUrl6"));
  String imageUrl7  = Utils.out(request.getParameter("imageUrl7"));
  String imageUrl8  = Utils.out(request.getParameter("imageUrl8"));
  String imageUrl9  = Utils.out(request.getParameter("imageUrl9"));
  String imageUrl10 = Utils.out(request.getParameter("imageUrl10"));


  // 配送先抑止フラグ
  String sctSuppressShippingAddress_0 = "";
  String sctSuppressShippingAddress_1 = "";
  if ("0".equals(request.getParameter("suppressShippingAddress"))) { sctSuppressShippingAddress_0 = " selected"; }
  if ("1".equals(request.getParameter("suppressShippingAddress"))) { sctSuppressShippingAddress_1 = " selected"; }

  // 配送先許可エリア
  String shippingLocationProfile = Utils.out(request.getParameter("shippingLocationProfile"));;
  if (shippingLocationProfile == null) {
      shippingLocationProfile = "";
  }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - MasterPass決済与信申込サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
</script>
</head>
<body onload="reCalcSum();">
  <script type="text/javascript">
    function reDrawing(frm, action) {
      frm.action = action;
      frm.method = "POST";
      frm.submit();
    }

    // 金額再計算
    function reCalcSum() {

      var value1 = Number(document.getElementById('value1').value);
      var value2 = Number(document.getElementById('value2').value);
      var value3 = Number(document.getElementById('value3').value);
      var value4 = Number(document.getElementById('value4').value);
      var value5 = Number(document.getElementById('value5').value);
      var value6 = Number(document.getElementById('value6').value);
      var value7 = Number(document.getElementById('value7').value);
      var value8 = Number(document.getElementById('value8').value);
      var value9 = Number(document.getElementById('value9').value);
      var value10 = Number(document.getElementById('value10').value);

      // 合計金額を算出
      var itemAmount = value1 + value2 + value3 + value4 + value5 +
      value6 + value7 + value8 + value9 + value10;
      document.getElementById('itemAmount').innerHTML = itemAmount;
      document.getElementById('inputItemAmount').value = itemAmount;
    }
  </script>
</head>
<body onload="setDisabled();">

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G MasterPass決済（Login）の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>

<div class="lhtitle">MasterPass Login<br/>(決済：申込)</div>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_MASTERPASS" method="post" action="./LoginExec">

<tr>
  <td class="ititletop">Order ID<br/>(取引ID)</td>
  <td class="ivaluetop"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.out(order_id)%>"><input type="button" value="Update Order ID (取引ID更新)" onclick="reDrawing(FORM_MASTERPASS, './Login');"></td>
</tr>
<tr>
  <td class="ititle">Product Number<br/>(商品番号)</td>
  <td class="ivalue"><input type="text" maxlength="64" size="20" name="itemId" value="<%= Utils.out(itemId) %>"><br/>
    <font size="2" color="red">64 byte Alphanumeric characters (64バイト以下の半角英数字)</font>
  </td>
</tr>
<tr>
  <td class="ititle">Supress Shipping Adress<br/>(配送先抑止フラグ)</td>
  <td class="ivalue">
    <select name="suppressShippingAddress">
      <option value=""></option>
      <option value="0"<%= Utils.out(sctSuppressShippingAddress_0) %>>false</option>
      <option value="1"<%= Utils.out(sctSuppressShippingAddress_1) %>>true（Supress-抑止する）</option>
    </select><br/>
  </td>
</tr>

<tr>
  <td class="ititle">Shipping Locations<br/>(配送先許可エリア)</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="shippingLocationProfile" value="<%= Utils.out(shippingLocationProfile) %>"></td>
</tr>


<!--
<tr>
  <td class="ititle">3-D Secure<br>(3Dセキュア)</td>
  <td class="ivalue">
    <select name="d3Flag">
      <option value=""></option>
      <option value="0"<%= Utils.out(sctSuppressShippingAddress_0) %>>Without (3Dセキュアなし)</option>
      <option value="1"<%= Utils.out(sctSuppressShippingAddress_1) %>>With (3Dセキュア)</option>
    </select><br/>
    </font>
  </td>
</tr>
-->
<input type="hidden" name="d3Flag" value="0" />

<tr>
  <td class="ititle">Success URL<br/>(決済完了時URL)</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="successUrl" value="<%= Utils.out(successUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">Cancel URL<br/>(決済キャンセル時URL)</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="cancelUrl" value="<%= Utils.out(cancelUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">Error URL<br/>(決済エラー時URL)</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="errorUrl" value="<%= Utils.out(errorUrl) %>"></td>
</tr>

<%
 String dummyMode = Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties"));
%>

<input type="hidden" name="dummyMode" value="<%=dummyMode%>" />
</table>

<br/>
<font size="2" color="red">※必ず「商品１」は設定してください。</font>
<br/>
<table border="1" cellpadding="0" cellspacing="0">

  <tr>
    <th>
    <th>Product Description<br/>(商品説明)</th>
    <th>Product Quantity<br/>(商品数量)</th>
    <th>Product Value<br/>(商品金額)</th>
    <th>Product Image URL<br/>(商品イメージURL)</th>
  </tr>
  <tr>
    <td class="ititle">Product1<br/>(商品１)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="100" size="30" name="description1" value="<%= Utils.out(description1) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12" name="quantity1" value="<%= Utils.out(quantity1) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value1" size="20" value="<%=Utils.out(request.getParameter("value1"))%>" id="value1" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl1" value="<%= Utils.out(imageUrl1) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product2<br/>(商品２)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="100" size="30" name="description2" value="<%= Utils.out(description2) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity2" value="<%= Utils.out(quantity2) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value2" value="<%=Utils.out(request.getParameter("value2"))%>" id="value2" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl2" value="<%= Utils.out(imageUrl2) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product3<br/>(商品３)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="100" size="30" name="description3" value="<%= Utils.out(description3) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity3" value="<%= Utils.out(quantity3) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value3" value="<%=Utils.out(request.getParameter("value3"))%>" id="value3" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text"maxlength="256" size="45"  name="imageUrl3" value="<%= Utils.out(imageUrl3) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product4<br/>(商品４)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description4" value="<%= Utils.out(description4) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity4" value="<%= Utils.out(quantity4) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value4" value="<%=Utils.out(request.getParameter("value4"))%>" id="value4" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl4" value="<%= Utils.out(imageUrl4) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product5<br/>(商品５)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description5" value="<%= Utils.out(description5) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity5" value="<%= Utils.out(quantity5) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value5" value="<%=Utils.out(request.getParameter("value5"))%>" id="value5" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl5" value="<%= Utils.out(imageUrl5) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product6<br/>(商品６)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description6" value="<%= Utils.out(description6) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity6" value="<%= Utils.out(quantity6) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value6" value="<%=Utils.out(request.getParameter("value6"))%>" id="value6" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl6" value="<%= Utils.out(imageUrl6) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product7<br/>(商品７)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description7" value="<%= Utils.out(description7) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity7" value="<%= Utils.out(quantity7) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value7" value="<%=Utils.out(request.getParameter("value7"))%>" id="value7" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl7" value="<%= Utils.out(imageUrl7) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product8<br/>(商品８)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description8" value="<%= Utils.out(description8) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity8" value="<%= Utils.out(quantity8) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value8" value="<%=Utils.out(request.getParameter("value8"))%>" id="value8" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl8" value="<%= Utils.out(imageUrl8) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product9<br/>(商品９)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description9" value="<%= Utils.out(description9) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity9" value="<%= Utils.out(quantity9) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value9" value="<%=Utils.out(request.getParameter("value9"))%>" id="value9" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl9" value="<%= Utils.out(imageUrl9) %>">
    </td>
  </tr>
  <tr>
    <td class="ititle">Product10<br/>(商品１０)</td>
    <td style="border-style:none;">
      <input type="text" maxlength="20" size="30" name="description10" value="<%= Utils.out(description10) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="12"  name="quantity10" value="<%= Utils.out(quantity10) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="8" name="value10" value="<%=Utils.out(request.getParameter("value10"))%>" id="value10" onchange="reCalcSum()">
    </td>
    <td style="border-style:none;">
      <input type="text" maxlength="256" size="45" name="imageUrl10" value="<%= Utils.out(imageUrl10) %>">
    </td>
  </tr>
</table>
<br>
<table border="1" cellspacing="0" cellpadding="5">
  <tr>
    <td class="ititle">Total Amount<br/>(合計金額)</td>
    <td style="border-style:none;" align="right">
      <span id="itemAmount">-</span>円
      <input type="hidden" name="itemAmount" value="<%=Utils.out(request.getParameter("itemAmount"))%>" id="inputItemAmount">
    </td>
  </tr>
</table>
<br/>
<table>
<tr>
  <td>
  <a href="#" onclick="document.FORM_MASTERPASS.submit()"><img src="https://www.mastercard.com/mc_us/wallet/img/en/US/mcpp_wllt_btn_chk_147x034px.png" alt="Buy with MasterPass"></a>
  &nbsp;&nbsp;<font size="2" color="red">※Please avoid double Click (２回以上クリックしないでください。)</font>
  </td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
