<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 支払方法の選択状態を判定
  String jpo1_10 = "";
  String jpo1_61 = "";
  String jpo1_80 = "";
  if ("10".equals(request.getParameter("jpo1"))) { jpo1_10 = " selected"; }
  if ("61".equals(request.getParameter("jpo1"))) { jpo1_61 = " selected"; }
  if ("80".equals(request.getParameter("jpo1"))) { jpo1_80 = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - カード決済-3D認証有り(PayNowIDカード情報利用)サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
function jpoChk(jpoObj) {
    var val = jpoObj.value;
    if (val.length == 1) {
        if (isNaN(val) == false) {
            jpoObj.value = "0" + jpoObj.value;
        }
    }
}

function reDrawing(frm, action) {
  frm.action = action;
  frm.method = "POST";
  frm.submit();
}

function selectCard(arg) {
  var radioList = document.getElementsByName("cardId");
  if (radioList[arg].checked) {
    var secureCd = document.getElementById('secureCd' + arg).value;
    document.getElementById('secureCd').value = secureCd;
  }
}

</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G カード決済-3D認証有り(PayNowIDカード情報利用)のサンプル画面です。<br/>
お客様ECサイトのVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">カード決済-3D認証有り(PayNowIDカード情報利用)</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CARD" method="post" action="./MpiAuthorizeExec">
<tr>
  <td class="thl" colspan="2">決済方法入力
  </td>
</tr>
<tr>
  <td class="ititle">カード選択</td>
  <td class="ivalue">
    <table style="width:95%;">
      <tr><td>選択</td><td>カード番号</td><td>(有効期限)</td><td>セキュリティコード</td></tr>
      <% 
      int cnt = 0;
      for(int i = 0; i < Integer.parseInt(Utils.out(request.getAttribute("cardSize"))); i++) { 
      %>
      <tr><td><input type="radio" name="cardId" value="<%= Utils.out(request.getAttribute("cardId" + String.valueOf(i))) %>" onChange="selectCard(<%=String.valueOf(i) %>)"></td>
          <td><%= Utils.out(request.getAttribute("maskCardNumber" + String.valueOf(i))) %></td>
          <td><%= Utils.out(request.getAttribute("cardExpire" + String.valueOf(i))) %></td>
          <td><input type="text" size="4" maxlength="4" name="secureCd<%= String.valueOf(i) %>" id="secureCd<%= String.valueOf(i) %>"onChange="selectCard(<%=String.valueOf(i) %>)"></td>
      </tr>
      <% 
      cnt = i;
      }
      %>
      <tr><td><input type="radio" name="cardId" onChange="selectCard(<%=String.valueOf(cnt+1) %>)"></td>
          <td><input type="text" size="20" maxlength="19" name="cardNumber"></td>
          <td><input type="text" size="5" maxlength="5" name="cardExpire"></td>
          <td><input type="text" size="4" maxlength="4" name="secureCd<%= String.valueOf(cnt+1) %>" id="secureCd<%= String.valueOf(cnt+1) %>" onChange="selectCard(<%=String.valueOf(cnt+1) %>)"></td>
      </tr>
      <input type="hidden" name="secureCd" value="" id="secureCd">
    </table>
  </td>
</tr>
<tr>
  <td class="ititle">支払方法</td>
  <td class="ivalue">
    <select name="jpo1">
      <option value="10"<%= Utils.out(jpo1_10) %>>一括払い(支払回数の設定は不要)</option>
      <option value="61"<%= Utils.out(jpo1_61) %>>分割払い(支払回数を設定してください)</option>
      <option value="80"<%= Utils.out(jpo1_80) %>>リボ払い(支払回数の設定は不要)</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">支払回数</td>
  <td class="ivalue"><input type="text" maxlength="2" size="3" name="jpo2" value="<%= Utils.out(request.getParameter("jpo2")) %>" onBlur="jpoChk(this);">&nbsp;&nbsp;<font size="2" color="red">※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01</font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
    <td colspan="2">
      <input type="submit" value="実行">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
    </td>
</tr>

<input type="hidden" name="accountId" value="<%= Utils.out(request.getParameter("accountId")) %>">
<input type="hidden" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>"/>
<input type="hidden" name="amount" value="<%= Utils.out(request.getParameter("amount")) %>"/>
<input type="hidden" name="withCapture" value="<%= Utils.out(request.getParameter("withCapture")) %>">
<input type="hidden" name="paymentMode" value="<%= Utils.out(request.getParameter("paymentMode")) %>">
</form>
</table>

<br>
<a href="../PayNowIdMenu.jsp">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
